summaryrefslogtreecommitdiffstats
path: root/source/a/gawk
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/gawk')
-rwxr-xr-xsource/a/gawk/gawk.SlackBuild26
-rw-r--r--source/a/gawk/slack-desc12
2 files changed, 24 insertions, 14 deletions
diff --git a/source/a/gawk/gawk.SlackBuild b/source/a/gawk/gawk.SlackBuild
index 5a6acb719..7d55a8704 100755
--- a/source/a/gawk/gawk.SlackBuild
+++ b/source/a/gawk/gawk.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2005-2014 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2005-2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=gawk
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:--j6}
@@ -36,7 +38,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-gawk
@@ -59,8 +68,8 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf gawk-$VERSION
-tar xvf $CWD/gawk-$VERSION.tar.xz
-cd gawk-$VERSION
+tar xvf $CWD/gawk-$VERSION.tar.?z || exit 1
+cd gawk-$VERSION || exit 1
chown -R root:root .
@@ -73,10 +82,11 @@ find . \
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --sysconfdir=/etc \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
--infodir=/usr/info \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
diff --git a/source/a/gawk/slack-desc b/source/a/gawk/slack-desc
index 739f2a9e6..fbab114f2 100644
--- a/source/a/gawk/slack-desc
+++ b/source/a/gawk/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
gawk: gawk (pattern scanning and processing language)
gawk:
gawk: Gawk is the GNU Project's implementation of the AWK programming
-gawk: language. It conforms to the definition of the language in the POSIX
-gawk: 1003.2 Command Language And Utilities Standard. This version in turn
+gawk: language. It conforms to the definition of the language in the POSIX
+gawk: 1003.2 Command Language And Utilities Standard. This version in turn
gawk: is based on the description in The AWK Programming Language, by Aho,
gawk: Kernighan, and Weinberger, with the additional features found in the
-gawk: System V Release 4 version of UNIX awk. Gawk also provides more
+gawk: System V Release 4 version of UNIX awk. Gawk also provides more
gawk: recent Bell Labs awk extensions, and some GNU-specific extensions.
gawk:
gawk: